﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title></title>
	<style type="text/css">
		</style>
	<telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">

		<script type="text/javascript">

			function OnFilterMenuClicking(oFilterMenu, args)
			{
				// Get the explorer client side object
				var oExplorer = $find("<%= RadFileExplorer1.ClientID %>");
				var oGrid = oExplorer.get_grid();

				// Get reference to the text box next to the filter icon in the filter row
				var rawTextBox = getFilterTextBox(oGrid);
				var filterText = rawTextBox.value; // get the value of the textbox

				// get reference to the hidden field declared
				var hField = $get("<%= HiddenField1.ClientID %>");
				// Get the selected value in the filter menu
				var gridKnownFunction = args.get_item().get_value();

				// Build the parameter
				var param = filterText + "{#}" + gridKnownFunction;
				hField.value = param;// Store the parameter in the hidden field. The value will be used in code behinde
				__doPostBack(hField.name, "");// Trigger postback

			}

			function OnClientLoad(oExplorer, args)
			{
				var oGrid = oExplorer.get_grid();

				// The text box that contains the search text
				var rawTextBox = getFilterTextBox(oGrid);
				// Get the hidden field
				var hField = $get("<%= HiddenField1.ClientID %>");
				var valueBeforePostBack = hField.value.split("{#}")[0]; // Get the filter text
				// restore the value of the serch text
				rawTextBox.value = valueBeforePostBack;
			}

			function getFilterTextBox(oGrid)
			{
				// Get the master table view
				var gridHeader = oGrid.get_masterTableViewHeader();
				// Get reference to the text box next to the filter icon in the filter row
				var rawTextBox = $telerik.getElementByClassName(gridHeader.get_tableFilterRow(), "rgFilterBox");

				return rawTextBox;
			}
		</script>

	</telerik:RadScriptBlock>
</head>
<body>
	<form id="Form1" runat="server">
	<asp:ScriptManager ID="ScriptManager1" runat="server">
	</asp:ScriptManager>
	<div>
		<telerik:RadFileExplorer runat="server" ID="RadFileExplorer1" Height="400px" Hidth="1000px"
			OnClientLoad="OnClientLoad" OnExplorerPopulated="RadFileExplorer1_ExplorerPopulated">
			<Configuration ViewPaths="~/ROOT/" DeletePaths="~/ROOT/" UploadPaths="~/ROOT/" />
		</telerik:RadFileExplorer>
		<asp:HiddenField ID="HiddenField1" runat="server" />
	</div>
	</form>
</body>
</html>
